# $Revision: 1.23 $, $Date: 2011/12/08 15:44:07 $
Summary:	Icmake - an Intelligent C-like Maker
Summary(pl.UTF-8):	Icmake - inteligentny C-podobny "maker"
Name:		icmake
Version:	7.16.00
Release:	1
License:	GPL v3
Group:		Development/Building
Source0:	http://downloads.sourceforge.net/icmake/%{name}_%{version}.orig.tar.gz
# Source0-md5:	174cf585d9133a42797d49e280345f03
URL:		http://icmake.sourceforge.net/
BuildRequires:	bash
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Icmake is yet another maker - but this time, one that uses a C-like
syntaxis. The Icmake scripts should feel `natural' to all C
programmers. Icmake is furthermore a powerful shell script language:
it can be used for program maintenance as well as for system
administrative tasks.

%description -l pl.UTF-8
Icmake jest kolejnym programem typu "make" - ale takim, który używa
składni podobnej do C. Skrypty Icmake powinny być dość 'naturalne' dla
programistów C. Icmake jest ponadto potężnym narzędziem skryptowym:
może być używany równie dobrze do tworzenia programów z równym
powodzeniem jak do wykonywania zadań administracyjnych.

%prep
%setup -q
%{__sed} -i -e 's#gcc#%{__cc}#g' icm_bootstrap
%{__sed} -i -e 's#/lib/#/%{_lib}/#g' INSTALL.im

%build
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
./icm_bootstrap /

%install
rm -rf $RPM_BUILD_ROOT

./icm_install progs $RPM_BUILD_ROOT
./icm_install scripts $RPM_BUILD_ROOT
./icm_install skel $RPM_BUILD_ROOT
./icm_install man $RPM_BUILD_ROOT
./icm_install doc $RPM_BUILD_ROOT
./icm_install etc $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog doc/icmake.ps doc/icmake.doc
%dir %{_sysconfdir}/icmake
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icmake/icmstart.rc
%attr(755,root,root) %{_bindir}/icmake
%attr(755,root,root) %{_bindir}/icmbuild
%attr(755,root,root) %{_bindir}/icmstart
%attr(755,root,root) %{_bindir}/icmun
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/icm-comp
%attr(755,root,root) %{_libdir}/%{name}/icm-exec
%attr(755,root,root) %{_libdir}/%{name}/icm-pp
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/parser
%{_datadir}/%{name}/parser/grammar
%dir %{_datadir}/%{name}/parser/gramspec
%attr(755,root,root) %{_datadir}/%{name}/parser/gramspec/grambuild
%{_datadir}/%{name}/parser/gramspec/*.gr0
%{_datadir}/%{name}/[!p]*
%{_mandir}/man1/icmake.1*
%{_mandir}/man1/icmbuild.1*
%{_mandir}/man1/icmstart.1*
%{_mandir}/man7/icmconf.7*
%{_mandir}/man7/icmstart.rc.7*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icmake.spec,v $
Revision 1.23  2011/12/08 15:44:07  qboosh
- updated to 7.16.00

Revision 1.22  2011/04/10 16:18:29  arekm
- up to 7.15.00

Revision 1.21  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.19  2004/08/31 15:52:46  snurf
- typos / formatting / etc.

Revision 1.18  2004/04/26 15:52:35  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.17  2003/05/28 12:59:08  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:48:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.14  2002/04/25 16:35:51  arturs
fixed a small typo

Revision 1.13  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.12  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/26 21:20:41  blues
- release 3
- typo fixed
NOTE: no active URL found

Revision 1.9  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 15:38:33  mis
- typo

Revision 1.6  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.4  1999/11/23 14:38:20  wiget
- commpres *.ps file (gv and other can handle commpresed files)

Revision 1.3  1999/11/23 14:18:59  kloczek
- cosmetic changes.

Revision 1.2  1999/11/23 11:54:05  zagrodzki
- added missing CVS tag
